> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evolink.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Doubao Seed 2.0 Responses API - 完全なAPIリファレンス

> - Responses API形式でDoubao Seed 2.0シリーズモデルを呼び出し
- **サーバーサイドコンテキストストレージ**：`previous_response_id`によるマルチターン会話を実現、手動で履歴メッセージを送信する必要なし
- **マルチモーダル入力**：テキスト + 画像 + 動画 + ファイル（PDF）の混合入力に対応
- **ディープシンキング**：thinking思考チェーンモードに対応
- **ツール呼び出し**：Function Calling、ウェブ検索、画像処理、MCPツール、プライベートナレッジベース、Doubaoアシスタントに対応
- **コンテキストキャッシュ**：cachingキャッシュメカニズムによるコスト削減に対応
- **構造化出力**：JSON Object / JSON Schema形式に対応
- **コンテキスト管理**：context_management戦略に対応
- 💡 すぐに使い始めたいですか？[クイックスタート](./doubao-seed-2.0-responses-quickstart)をご覧ください

<Note>
  **BaseURL**：デフォルトの BaseURL は `https://direct.evolink.ai` で、テキストモデルへの対応が優れており、長時間接続をサポートします。`https://api.evolink.ai` はマルチモーダルの主力エンドポイントで、テキストモデルに対しては代替アドレスとして使用されます。
</Note>


## OpenAPI

````yaml ja/api-manual/language-series/doubao-seed-2.0/doubao-seed-2.0-responses-reference.json POST /v1/responses
openapi: 3.1.0
info:
  title: Doubao Seed 2.0 Responses API 完全なAPIリファレンス
  description: Doubao Seed 2.0 Responses API 完全なリファレンス、すべてのパラメータと高度な機能を含む
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://direct.evolink.ai
    description: 本番環境（推奨）
  - url: https://api.evolink.ai
    description: 代替 URL
security:
  - bearerAuth: []
tags:
  - name: Responses API
    description: Responses API チャット生成インターフェース
paths:
  /v1/responses:
    post:
      tags:
        - Responses API
      summary: Doubao Seed 2.0 Responses API
      description: >-
        - Responses API形式でDoubao Seed 2.0シリーズモデルを呼び出し

        -
        **サーバーサイドコンテキストストレージ**：`previous_response_id`によるマルチターン会話を実現、手動で履歴メッセージを送信する必要なし

        - **マルチモーダル入力**：テキスト + 画像 + 動画 + ファイル（PDF）の混合入力に対応

        - **ディープシンキング**：thinking思考チェーンモードに対応

        - **ツール呼び出し**：Function
        Calling、ウェブ検索、画像処理、MCPツール、プライベートナレッジベース、Doubaoアシスタントに対応

        - **コンテキストキャッシュ**：cachingキャッシュメカニズムによるコスト削減に対応

        - **構造化出力**：JSON Object / JSON Schema形式に対応

        - **コンテキスト管理**：context_management戦略に対応

        - 💡
        すぐに使い始めたいですか？[クイックスタート](./doubao-seed-2.0-responses-quickstart)をご覧ください
      operationId: createResponseDoubaoSeed20
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResponseRequest'
            examples:
              simple_text:
                summary: テキスト入力
                value:
                  model: doubao-seed-2.0-pro
                  input: 自己紹介をしてください
              multi_turn:
                summary: マルチターン会話（previous_response_idによる）
                value:
                  model: doubao-seed-2.0-pro
                  input: その利点は何ですか？
                  previous_response_id: resp_0217****
              message_array:
                summary: メッセージリスト入力
                value:
                  model: doubao-seed-2.0-pro
                  input:
                    - role: system
                      type: message
                      content: あなたはプロのPythonプログラミングアシスタントです。
                    - role: user
                      type: message
                      content: ファイルの読み取り方法は？
              thinking_mode:
                summary: ディープシンキングモードを有効化
                value:
                  model: doubao-seed-2.0-pro
                  input: √2が無理数であることを証明してください
                  thinking:
                    type: enabled
              web_search:
                summary: ウェブ検索
                value:
                  model: doubao-seed-2.0-pro
                  input: 今日の東京の天気はどうですか？
                  tools:
                    - type: web_search
      responses:
        '200':
          description: レスポンス生成成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseObject'
        '400':
          description: リクエストパラメータエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 400
                  message: Invalid request parameters
                  type: invalid_request_error
        '401':
          description: 未認証、トークンが無効または期限切れ
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 401
                  message: Invalid or expired token
                  type: authentication_error
        '402':
          description: クォータ不足、チャージが必要
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 402
                  message: Insufficient quota
                  type: insufficient_quota_error
                  fallback_suggestion: https://evolink.ai/dashboard/billing
        '403':
          description: アクセス権限なし
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 403
                  message: Access denied for this model
                  type: permission_error
                  param: model
        '404':
          description: リソースが存在しません
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 404
                  message: Specified model not found
                  type: not_found_error
                  param: model
                  fallback_suggestion: doubao-seed-2.0-pro
        '413':
          description: リクエストボディが大きすぎます
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 413
                  message: File too large
                  type: request_too_large_error
                  fallback_suggestion: compress file to under 50MB
        '429':
          description: リクエスト頻度制限超過
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 429
                  message: Rate limit exceeded
                  type: rate_limit_error
                  fallback_suggestion: retry after 60 seconds
        '500':
          description: サーバー内部エラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 500
                  message: Internal server error
                  type: internal_server_error
                  fallback_suggestion: try again later
        '502':
          description: アップストリームサービスエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 502
                  message: Upstream AI service unavailable
                  type: upstream_error
                  fallback_suggestion: try different model
        '503':
          description: サービスが一時的に利用不可
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                error:
                  code: 503
                  message: Service temporarily unavailable
                  type: service_unavailable_error
                  fallback_suggestion: retry after 30 seconds
components:
  schemas:
    ResponseRequest:
      type: object
      required:
        - model
        - input
      properties:
        model:
          type: string
          description: |-
            チャットモデル名

            - `doubao-seed-2.0-pro`: フラッグシップ版、総合能力最強
            - `doubao-seed-2.0-lite`: 軽量版、より高速
            - `doubao-seed-2.0-mini`: 超高速版、レスポンス最速
            - `doubao-seed-2.0-code`: コード専用版
          enum:
            - doubao-seed-2.0-pro
            - doubao-seed-2.0-lite
            - doubao-seed-2.0-mini
            - doubao-seed-2.0-code
          default: doubao-seed-2.0-pro
          example: doubao-seed-2.0-pro
        input:
          description: |-
            输入コンテンツ。2つの形式に対応：

            **1. テキスト文字列**: userロールが入力したテキスト情報と同等

            **2. 要素リスト (array)**: メッセージ、コンテキスト、ツール呼び出しなど複数の入力タイプを含む
          oneOf:
            - type: string
              description: テキスト入力
            - type: array
              description: 入力要素リスト
              items:
                $ref: '#/components/schemas/InputItem'
        instructions:
          type: string
          nullable: true
          description: |-
            在模型上下文中插入システムメッセージ或开发者指令作为第一条指令

            **注意**:
            - previous_response_idと併用する場合、前の返信の指示は継承されません
            - cachingキャッシュ機能と併用できません
        previous_response_id:
          type: string
          nullable: true
          description: |-
            前のモデル返信の一意識別子、マルチターン会話の実現に使用

            **说明**:
            - 渡すと前回のリクエストの入力と回答内容が導入され、今回のリクエストの入力トークンが相応に増加します
            - マルチターン連続会話では、各リクエスト間に約100ミリ秒の遅延を入れることを推奨
        expire_at:
          type: integer
          description: |-
            ストレージの有効期限、UTC Unixタイムスタンプ（秒）

            **说明**:
            - 値の範囲: (作成時刻, 作成時刻 + 604800]、最大7日間保持
            - デフォルト値: 作成時刻 + 259200（3日間）
            - storeとcachingの両方に有効
            - キャッシュストレージ時間で課金、1時間未満は1時間として計算
        max_output_tokens:
          type: integer
          nullable: true
          description: モデル出力の最大トークン数，包含模型回答和思考チェーンの内容
          example: 32768
        thinking:
          type: object
          description: 控制模型是否ディープシンキングモードを有効化
          properties:
            type:
              type: string
              description: |-
                思考モード

                - `enabled`: 开启思考モード，模型强制先思考再回答
                - `disabled`: 关闭思考モード，模型直接回答
                - `auto`: 自动思考モード，模型自主判断是否需要思考
              enum:
                - enabled
                - disabled
                - auto
          required:
            - type
        reasoning:
          type: object
          description: ディープシンキングの作業量を制限し、削減するとレスポンス速度が速くなり、トークン使用量が少なくなります
          properties:
            effort:
              type: string
              description: |-
                思考深度

                - `minimal`: 思考を無効化、直接回答
                - `low`: 軽量思考、高速レスポンス重視
                - `medium`: バランスモード、速度と深度を両立
                - `high`: 深層分析、複雑な問題を処理
              enum:
                - minimal
                - low
                - medium
                - high
              default: medium
        caching:
          type: object
          description: |-
            コンテキストキャッシュを有効にするかどうか

            **注意**: instructionsフィールド、tools（Function Calling以外）フィールドと併用できません
          properties:
            type:
              type: string
              description: |-
                キャッシュスイッチ

                - `enabled`: キャッシュを有効化
                - `disabled`: キャッシュを無効化
              enum:
                - enabled
                - disabled
              default: disabled
            prefix:
              type: boolean
              description: |-
                公共プレフィックスキャッシュのみ作成するかどうか（モデルは返信しない）

                - `true`: 公共プレフィックスキャッシュのみ作成
                - `false`: 公共プレフィックスキャッシュを作成しない
              default: false
          required:
            - type
        store:
          type: boolean
          nullable: true
          description: |-
            生成されたモデルレスポンスを保存し、後でAPI経由で取得できるようにするかどうか

            - `true`: 現在のモデルレスポンスを保存
            - `false`: 保存しない
          default: true
        stream:
          type: boolean
          nullable: true
          description: |-
            レスポンスコンテンツをストリーミングで返すかどうか

            - `false`: モデルがすべてのコンテンツを生成した後に一括返却
            - `true`: SSEプロトコルに従いチャンクごとに返し、`data: [DONE]`メッセージで終了
          default: false
        temperature:
          type: number
          nullable: true
          description: >-
            サンプリング温度、出力のランダム性を制御


            - 値の範囲: [0, 2]

            - 低い値はより確定的、高い値はよりランダム

            - temperatureまたはtop_pのいずれか一方のみを調整することを推奨


            **注意**:
            doubao-seed-2.0-proとdoubao-seed-2.0-liteは1に固定されており、手動指定は無視されます
          minimum: 0
          maximum: 2
          default: 1
        top_p:
          type: number
          nullable: true
          description: >-
            核サンプリング確率閾値


            - 値の範囲: [0, 1]

            - temperatureまたはtop_pのいずれか一方のみを調整することを推奨


            **注意**:
            doubao-seed-2.0-proとdoubao-seed-2.0-liteは0.95に固定されており、手動指定は無視されます
          minimum: 0
          maximum: 1
          default: 0.7
        text:
          type: object
          description: モデルテキスト出力の形式定義
          properties:
            format:
              type: object
              description: モデルのテキスト出力形式を指定
              properties:
                type:
                  type: string
                  description: |-
                    形式タイプ

                    - `text`: 自然言語（デフォルト）
                    - `json_object`: JSON オブジェクト形式
                    - `json_schema`: schema定義に従ったJSON形式
                  enum:
                    - text
                    - json_object
                    - json_schema
                  default: text
                name:
                  type: string
                  description: JSON 構造名（typeがjson_schemaの場合必須）
                schema:
                  type: object
                  description: JSON Schema形式の定義（typeがjson_schemaの場合必須）
                description:
                  type: string
                  nullable: true
                  description: 返信用途の説明
                strict:
                  type: boolean
                  nullable: true
                  description: 厳格遵守モードを有効にするかどうか
                  default: false
              required:
                - type
        tools:
          type: array
          description: |-
            模型可以调用的ツールリスト

            支持以下ツールタイプ：
            - `function`: カスタム関数（Function Calling）
            - `web_search`: ウェブ検索
            - `doubao_app`: Doubaoアシスタント
            - `image_process`: 画像処理
            - `mcp`: MCP 工具
            - `knowledge_search`: プライベートナレッジベース検索
          items:
            $ref: '#/components/schemas/Tool'
        tool_choice:
          description: |-
            モデルがツールを呼び出すかどうかを制御

            **文字列モード**:
            - `none`: ツールを呼び出さない
            - `required`: ツールの呼び出しが必須
            - `auto`: モデルが自動判断（デフォルト）

            **オブジェクトモード**: 特定のツールの呼び出しを指定
          oneOf:
            - type: string
              enum:
                - none
                - auto
                - required
            - $ref: '#/components/schemas/ToolChoiceObject'
        max_tool_calls:
          type: integer
          description: |-
            最大ツール呼び出しラウンド数（1ラウンドの回数制限なし）

            - 値の範囲: [1, 10]
            - Web Search デフォルト値3
            - Image Process デフォルト値10（変更不可）
            - Knowledge Search デフォルト値3

            **注意**: このパラメータはベストエフォート方式であり、最終的な呼び出し回数はモデルの推論効果などの要因に影響されます
          minimum: 1
          maximum: 10
        context_management:
          type: object
          description: コンテキスト管理戦略、モデルがコンテキストウィンドウを効果的に活用するのを支援
          properties:
            edits:
              type: array
              description: コンテキスト編集戦略リスト
              items:
                $ref: '#/components/schemas/ContextEdit'
    ResponseObject:
      type: object
      properties:
        id:
          type: string
          description: このレスポンスの一意識別子
          example: resp_02177148667427813c33c36521378d02b2c8389204fa8c3e2f63e
        object:
          type: string
          description: オブジェクトタイプ、responseに固定
          enum:
            - response
          example: response
        created_at:
          type: number
          description: 作成時刻のUnixタイムスタンプ（秒）
          example: 1771486674
        model:
          type: string
          description: 実際に使用されたモデル名和版本
          example: doubao-seed-2-0-code-preview-260215
        status:
          type: string
          description: |-
            レスポンスステータス

            - `completed`: 生成完了
            - `in_progress`: 生成中
            - `incomplete`: 未完了
            - `failed`: 失敗
          enum:
            - completed
            - in_progress
            - incomplete
            - failed
          example: completed
        output:
          type: array
          description: モデル出力コンテンツリスト，包含思考チェーン出力、メッセージ出力、ツール呼び出し出力等
          items:
            $ref: '#/components/schemas/OutputItem'
        service_tier:
          type: string
          description: |-
            今回のリクエストのサービスティア

            - `default`: デフォルトサービスティア
            - `scale`: 保証パッケージ枠を使用
          example: default
        instructions:
          type: string
          nullable: true
          description: このリクエストで使用されたシステム指示
        previous_response_id:
          type: string
          nullable: true
          description: 参照する前のレスポンスID
        max_output_tokens:
          type: integer
          description: モデル出力の最大トークン数
          example: 32768
        temperature:
          type: number
          nullable: true
          description: 使用されたサンプリング温度
        top_p:
          type: number
          nullable: true
          description: 使用されたtop_p値
        thinking:
          type: object
          nullable: true
          description: 使用的思考モード配置
        tools:
          type: array
          nullable: true
          description: 使用的ツールリスト
        tool_choice:
          nullable: true
          description: 使用されたツール選択設定
        parallel_tool_calls:
          type: boolean
          nullable: true
          description: 並列ツール呼び出しを許可するかどうか
        text:
          type: object
          nullable: true
          description: テキスト出力形式設定
        usage:
          $ref: '#/components/schemas/Usage'
        caching:
          type: object
          description: キャッシュ設定
          properties:
            type:
              type: string
              enum:
                - enabled
                - disabled
        store:
          type: boolean
          description: レスポンスが保存されたかどうか
        expire_at:
          type: integer
          description: ストレージ有効期限（Unixタイムスタンプ）
          example: 1756539922
        error:
          type: object
          nullable: true
          description: エラー情報、成功時はnull
        incomplete_details:
          type: object
          nullable: true
          description: 未完了の詳細理由
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: integer
              description: HTTPステータスエラーコード
            message:
              type: string
              description: エラーの説明
            type:
              type: string
              description: エラータイプ
            param:
              type: string
              description: 関連パラメータ名
            fallback_suggestion:
              type: string
              description: エラー時の提案
    InputItem:
      type: object
      description: 入力要素、メッセージ、ツール呼び出し情報、ツール返却情報、または思考チェーン情報
      properties:
        type:
          type: string
          description: |-
            入力タイプ

            - `message`: メッセージ入力
            - `function_call`: ツール関数呼び出し情報
            - `function_call_output`: ツール返却情報
            - `reasoning`: 思考チェーン情報
          enum:
            - message
            - function_call
            - function_call_output
            - reasoning
        role:
          type: string
          description: |-
            消息ロール（typeがmessageの場合）

            - `user`: ユーザーメッセージ
            - `system`: システムメッセージ
            - `assistant`: アシスタントメッセージ
            - `developer`: 開発者メッセージ（userより優先度が高い）
          enum:
            - user
            - system
            - assistant
            - developer
        content:
          description: メッセージの内容、テキスト文字列またはコンテンツオブジェクト配列（テキスト、画像、動画、ファイル）に対応
          oneOf:
            - type: string
            - type: array
              items:
                $ref: '#/components/schemas/InputContentPart'
        partial:
          type: boolean
          description: |-
            続き生成モード（assistantロールのみ）

            最後のassistantメッセージのpartialをtrueに設定すると、モデルはcontent内容に基づいて続きを生成します
        status:
          type: string
          description: プロジェクトステータス
          enum:
            - in_progress
            - completed
            - incomplete
        arguments:
          type: string
          description: 関数パラメータのJSON文字列（typeがfunction_callの場合必須）
        call_id:
          type: string
          description: 関数ツール呼び出しの一意ID（typeがfunction_call/function_call_outputの場合必須）
        name:
          type: string
          description: 関数名（type 为 function_call 时必填）
        output:
          type: string
          description: ツール出力結果（typeがfunction_call_outputの場合必須）
        id:
          type: string
          description: 思考チェーン情報の一意識別子（typeがreasoningの場合）
        summary:
          type: array
          description: 思考チェーンの内容（type 为 reasoning 时）
          items:
            type: object
            properties:
              text:
                type: string
                description: 思考チェーンテキスト
              type:
                type: string
                description: タイプ、summary_textに固定
                enum:
                  - summary_text
    Tool:
      type: object
      description: 工具定义。根据 type 字段选择不同的ツールタイプ
      required:
        - type
      properties:
        type:
          type: string
          description: |-
            ツールタイプ

            - `function`: カスタム関数
            - `web_search`: ウェブ検索
            - `doubao_app`: Doubaoアシスタント
            - `image_process`: 画像処理
            - `mcp`: MCP 工具
            - `knowledge_search`: プライベートナレッジベース検索
          enum:
            - function
            - web_search
            - doubao_app
            - image_process
            - mcp
            - knowledge_search
        name:
          type: string
          description: 関数名（type 为 function 时必填）
        description:
          type: string
          description: 関数の説明 / 知识库描述
        parameters:
          type: object
          description: 関数パラメータ、JSON Schema形式（typeがfunctionの場合）
        strict:
          type: boolean
          description: 厳格なパラメータ検証を強制するかどうか（typeがfunctionの場合）
          default: true
        feature:
          type: object
          description: Doubaoアシスタントサブ機能（typeがdoubao_appの場合）
          properties:
            chat:
              type: object
              description: 日常コミュニケーション機能
              properties:
                type:
                  type: string
                  enum:
                    - enabled
                    - disabled
                  default: disabled
                role_description:
                  type: string
                  description: ロール設定（system prompt / instructionsと排他）
            deep_chat:
              type: object
              description: 深層コミュニケーション機能
              properties:
                type:
                  type: string
                  enum:
                    - enabled
                    - disabled
                  default: disabled
                role_description:
                  type: string
                  description: ロール設定
            ai_search:
              type: object
              description: ウェブ検索功能
              properties:
                type:
                  type: string
                  enum:
                    - enabled
                    - disabled
                  default: disabled
                role_description:
                  type: string
                  description: ロール設定
            reasoning_search:
              type: object
              description: 考えながら検索機能
              properties:
                type:
                  type: string
                  enum:
                    - enabled
                    - disabled
                  default: disabled
                role_description:
                  type: string
                  description: ロール設定
        user_location:
          type: object
          description: ユーザーの地理的位置（typeがdoubao_app / web_searchの場合）
          properties:
            type:
              type: string
              description: 位置タイプ
              default: approximate
            country:
              type: string
              description: 国
            region:
              type: string
              description: 都道府県/地域
            city:
              type: string
              description: 都市
        sources:
          type: array
          description: |-
            ウェブ検索附加内容源（type 为 web_search 时）

            - `toutiao`: ヘッドライン記事
            - `douyin`: Douyin百科
            - `moji`: Moji天気
          items:
            type: string
            enum:
              - toutiao
              - douyin
              - moji
        limit:
          type: integer
          description: |-
            最大リコール件数

            - web_search: [1, 50]，デフォルト10
            - knowledge_search: [1, 200]，デフォルト10
        max_keyword:
          type: integer
          description: 最大並列検索キーワード数、値の範囲 [1, 50]（web_search / knowledge_search）
        point:
          type: object
          description: ポイント描画/線描画機能（typeがimage_processの場合）
          properties:
            type:
              type: string
              enum:
                - enabled
                - disabled
              default: enabled
        grounding:
          type: object
          description: 選択/クロップ機能（typeがimage_processの場合）
          properties:
            type:
              type: string
              enum:
                - enabled
                - disabled
              default: enabled
        zoom:
          type: object
          description: ズーム機能（typeがimage_processの場合）
          properties:
            type:
              type: string
              enum:
                - enabled
                - disabled
              default: enabled
        rotate:
          type: object
          description: 回転機能（typeがimage_processの場合）
          properties:
            type:
              type: string
              enum:
                - enabled
                - disabled
              default: enabled
        server_label:
          type: string
          description: MCP Server ラベル（typeがmcpの場合必須）
        server_url:
          type: string
          description: MCP Server アクセスアドレス（typeがmcpの場合必須）
        headers:
          type: object
          description: MCP サーバーHTTPリクエストヘッダー（typeがmcpの場合）
          additionalProperties:
            type: string
        require_approval:
          description: |-
            MCP ツール承認設定（typeがmcpの場合）

            **文字列モード**: `always`（すべて確認が必要）/ `never`（確認不要）

            **オブジェクトモード**: どのツールに承認が必要/不要かを指定
          oneOf:
            - type: string
              enum:
                - always
                - never
            - type: object
              properties:
                always:
                  type: object
                  properties:
                    tool_names:
                      type: array
                      items:
                        type: string
                      description: 確認が必要なツール名リスト
                never:
                  type: object
                  properties:
                    tool_names:
                      type: array
                      items:
                        type: string
                      description: 確認不要のツール名リスト
        allowed_tools:
          description: |-
            MCP ツール読み込み範囲（typeがmcpの場合）

            **配列モード**: 読み込み許可するツール名リスト

            **オブジェクトモード**: tool_namesで指定
          oneOf:
            - type: array
              items:
                type: string
            - type: object
              properties:
                tool_names:
                  type: array
                  items:
                    type: string
        knowledge_resource_id:
          type: string
          description: プライベートナレッジベースID（typeがknowledge_searchの場合必須）
        doc_filters:
          type: object
          description: ナレッジベース検索フィルター条件（typeがknowledge_searchの場合）
        dense_weight:
          type: number
          description: |-
            密ベクトル重み（typeがknowledge_searchの場合）

            - 値の範囲: [0.2, 1]
            - 1 は純粋な密検索を示し、0に近づくと純粋なリテラル検索を示します
            - ハイブリッド検索（hnsw_hybrid）の場合のみ有効
          minimum: 0.2
          maximum: 1
          default: 0.5
        ranking_options:
          type: object
          description: ナレッジベース検索後処理オプション（typeがknowledge_searchの場合）
          properties:
            rerank_switch:
              type: boolean
              description: 自動rerankを行うかどうか
              default: false
            retrieve_count:
              type: integer
              description: リランクに入るチャンク数（rerank_switchがtrueの場合有効）
              default: 25
            get_attachment_link:
              type: boolean
              description: チャンク内の画像の一時ダウンロードリンクを取得するかどうか
              default: false
            chunk_diffusion_count:
              type: integer
              description: |-
                ヒットしたチャンクの前後の隣接チャンクを返す

                値の範囲: [0, 5]、0はchunk diffusionを行わないことを意味します
              minimum: 0
              maximum: 5
              default: 0
            chunk_group:
              type: boolean
              description: テキスト集約、ドキュメントと順序に基づいてチャンクを再集約・ソート
              default: false
            rerank_model:
              type: string
              description: |-
                rerank モデル選択

                - `base-multilingual-rerank`（推奨）: 高速、長文テキスト、70+言語対応
                - `m3-v2-rerank`: 通常テキスト、100+言語対応
              enum:
                - base-multilingual-rerank
                - m3-v2-rerank
              default: base-multilingual-rerank
            rerank_only_chunk:
              type: boolean
              description: |-
                chunk内容のみに基づいてリランクスコアを計算するかどうか

                - `true`: chunk内容のみに基づく
                - `false`: chunk title + 内容に基づく
              default: false
    ToolChoiceObject:
      type: object
      required:
        - type
      description: 特定のツールの呼び出しを指定
      properties:
        type:
          type: string
          description: |-
            ツールタイプ

            - `function`: カスタム関数、nameフィールドの入力が必要
            - その他の組み込みツール名
        name:
          type: string
          description: 呼び出すツールの名前（typeがfunctionの場合必須）
    ContextEdit:
      type: object
      description: コンテキスト編集戦略
      properties:
        type:
          type: string
          description: |-
            戦略タイプ

            - `clear_thinking`: 思考ブロックのクリア
            - `clear_tool_uses`: ツール呼び出しコンテンツのクリア
          enum:
            - clear_thinking
            - clear_tool_uses
        keep:
          description: |-
            コンテンツ保持戦略

            **文字列モード**: `all`（すべての思考チェーンを保持）

            **オブジェクトモード**: 保持戦略を指定
          oneOf:
            - type: string
              enum:
                - all
            - type: object
              properties:
                type:
                  type: string
                  description: |-
                    保留戦略タイプ

                    - `thinking_turns`: 直近N回の思考チェーンを保持
                    - `tool_uses`: 直近N回のツール呼び出しを保持
                  enum:
                    - thinking_turns
                    - tool_uses
                value:
                  type: integer
                  description: 保持ターン数
                  default: 1
        exclude_tools:
          type: array
          description: クリアされないツール名のリスト（typeがclear_tool_usesの場合）
          items:
            type: string
        clear_tool_input:
          type: boolean
          description: ツール呼び出しパラメータをクリアするかどうか（typeがclear_tool_usesの場合）
          default: false
        trigger:
          type: object
          description: クリア戦略をトリガーする閾値（typeがclear_tool_usesの場合）
          properties:
            type:
              type: string
              description: トリガータイプ
              enum:
                - tool_uses
            value:
              type: integer
              description: ツール呼び出しがN回に達した時にクリアをトリガー
    OutputItem:
      oneOf:
        - $ref: '#/components/schemas/ReasoningOutput'
        - $ref: '#/components/schemas/MessageOutput'
        - $ref: '#/components/schemas/FunctionCallOutput'
    Usage:
      type: object
      description: トークン使用統計情報
      properties:
        input_tokens:
          type: integer
          description: 入力トークン数
          example: 88
        input_tokens_details:
          type: object
          description: 入力トークン詳細情報
          properties:
            cached_tokens:
              type: integer
              description: キャッシュトークン数
              example: 0
        output_tokens:
          type: integer
          description: 出力トークン数
          example: 230
        output_tokens_details:
          type: object
          description: 出力トークン詳細情報
          properties:
            reasoning_tokens:
              type: integer
              description: 推論/思考チェーンのトークン数
              example: 211
        total_tokens:
          type: integer
          description: 合計トークン数
          example: 318
    InputContentPart:
      oneOf:
        - $ref: '#/components/schemas/InputText'
        - $ref: '#/components/schemas/InputImage'
        - $ref: '#/components/schemas/InputVideo'
        - $ref: '#/components/schemas/InputFile'
    ReasoningOutput:
      title: 思考チェーン出力
      type: object
      properties:
        id:
          type: string
          description: 出力項目ID
          example: rs_0217****404a
        type:
          type: string
          description: 出力タイプ
          enum:
            - reasoning
        summary:
          type: array
          description: 思考チェーンの内容
          items:
            type: object
            properties:
              text:
                type: string
                description: 思考チェーンテキスト
              type:
                type: string
                enum:
                  - summary_text
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
          example: completed
    MessageOutput:
      title: メッセージ出力
      type: object
      properties:
        id:
          type: string
          description: 出力項目ID
          example: msg_0217****a93c
        type:
          type: string
          enum:
            - message
        role:
          type: string
          enum:
            - assistant
        content:
          type: array
          description: メッセージのコンテンツリスト
          items:
            type: object
            properties:
              text:
                type: string
                description: テキスト内容
              type:
                type: string
                description: コンテンツタイプ
                enum:
                  - output_text
              annotations:
                type: array
                nullable: true
                description: アノテーション情報（ウェブ検索来源等）
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
          example: completed
    FunctionCallOutput:
      title: ツール呼び出し出力
      type: object
      properties:
        id:
          type: string
          description: 出力項目ID
        type:
          type: string
          enum:
            - function_call
        call_id:
          type: string
          description: 呼び出しID
        name:
          type: string
          description: 関数名
        arguments:
          type: string
          description: 関数パラメータJSON文字列
        status:
          type: string
          enum:
            - in_progress
            - completed
            - incomplete
    InputText:
      title: テキスト入力
      type: object
      required:
        - type
        - text
      properties:
        type:
          type: string
          enum:
            - input_text
          description: 入力タイプ，固定为 input_text
        text:
          type: string
          description: 输入テキスト内容
    InputImage:
      title: 画像入力
      type: object
      required:
        - type
      properties:
        type:
          type: string
          enum:
            - input_image
          description: 入力タイプ，固定为 input_image
        image_url:
          type: string
          description: 画像URLまたはBase64エンコードのdata URL
        file_id:
          type: string
          description: Files APIでアップロード後に返されるファイルID
        detail:
          type: string
          description: |-
            画像理解の精細度

            - `low`: 低精細度
            - `high`: 高精細度
            - `xhigh`: 超高精細度
          enum:
            - low
            - high
            - xhigh
        image_pixel_limit:
          type: object
          nullable: true
          description: |-
            画像ピクセル範囲制限

            detailフィールドより優先度が高い。ピクセル範囲は[196, 36000000]である必要があります
          properties:
            max_pixels:
              type: integer
              description: |-
                最大ピクセル制限

                - doubao-seed-1.8以前: (min_pixels, 4014080]
                - doubao-seed-2.0: (min_pixels, 9031680]
            min_pixels:
              type: integer
              description: |-
                最小ピクセル制限

                - doubao-seed-1.8以前: [3136, max_pixels)
                - doubao-seed-2.0: [1764, max_pixels)
    InputVideo:
      title: 動画入力
      type: object
      required:
        - type
      properties:
        type:
          type: string
          enum:
            - input_video
          description: 入力タイプ，固定为 input_video
        video_url:
          type: string
          description: 動画URLまたはBase64エンコードのdata URL
        file_id:
          type: string
          description: |-
            Files APIでアップロード後に返されるファイルID

            **注意**: file_id使用時、fpsパラメータは無効になります
        fps:
          type: number
          description: |-
            フレーム抽出頻度

            - 値の範囲: [0.2, 5]
            - 値が高いほど画面変化に敏感
            - 値が低いほどトークン消費が少なく、速度が速い
          minimum: 0.2
          maximum: 5
    InputFile:
      title: ファイル入力
      type: object
      required:
        - type
      description: 現在PDFファイルのみサポート
      properties:
        type:
          type: string
          enum:
            - input_file
          description: 入力タイプ，固定为 input_file
        file_id:
          type: string
          description: Files APIでアップロード後に返されるファイルID
        file_data:
          type: string
          description: ファイル内容のBase64エンコード（単一ファイル50MB以下）
        filename:
          type: string
          description: ファイル名（file_data使用時必須）
        file_url:
          type: string
          description: アクセス可能なファイルURL（ファイル50MB以下）
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: |-
        ##すべてのAPIにBearer Token認証が必要です##

        **APIキーの取得：**

        [APIキー管理ページ](https://evolink.ai/dashboard/keys)にアクセスしてAPIキーを取得してください

        **リクエストヘッダーに追加：**
        ```
        Authorization: Bearer YOUR_API_KEY
        ```

````